
package org.mule.modules.quickbooks.windows.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>QuickBooksWindowsModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.quickbooks.windows.QuickBooksWindowsModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class QuickBooksWindowsModuleCapabilitiesAdapter
    extends org.mule.modules.quickbooks.windows.QuickBooksWindowsModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
